
From: Jonathan Corbet <corbet@lwn.net>

Here's an only mildly self-serving patch so that interested people can find
the free version of LDD3.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/Documentation/SubmittingDrivers |    7 ++++++-
 25-akpm/Documentation/kernel-docs.txt   |    7 +++++++
 2 files changed, 13 insertions(+), 1 deletion(-)

diff -puN Documentation/kernel-docs.txt~doc-where-to-find-ldd3 Documentation/kernel-docs.txt
--- 25/Documentation/kernel-docs.txt~doc-where-to-find-ldd3	Thu Mar 24 15:32:40 2005
+++ 25-akpm/Documentation/kernel-docs.txt	Thu Mar 24 15:32:40 2005
@@ -39,6 +39,13 @@
    
      ON-LINE DOCS:
        
+     * Title: "Linux Device Drivers, Third Edition"
+       Author: Jonathan Corbet, Alessandro Rubini, Greg Kroah-Hartman
+       URL: http://lwn.net/Kernel/LDD3/
+       Description: A 600-page book covering the (2.6.10) driver
+       programming API and kernel hacking in general.  Available under the
+       Creative Commons Attribution-ShareAlike 2.0 license.
+
      * Title: "The Linux Kernel"
        Author: David A. Rusling.
        URL: http://www.tldp.org/LDP/tlk/tlk.html
diff -puN Documentation/SubmittingDrivers~doc-where-to-find-ldd3 Documentation/SubmittingDrivers
--- 25/Documentation/SubmittingDrivers~doc-where-to-find-ldd3	Thu Mar 24 15:32:40 2005
+++ 25-akpm/Documentation/SubmittingDrivers	Thu Mar 24 15:32:40 2005
@@ -118,13 +118,18 @@ Linux kernel mailing list:		
 	linux-kernel@vger.kernel.org
 	[mail majordomo@vger.kernel.org to subscribe]
 
+Linux Device Drivers, Third Edition (covers 2.6.10):
+	http://lwn.net/Kernel/LDD3/  (free version)
+
 Kernel traffic:
 	Weekly summary of kernel list activity (much easier to read)
 	http://www.kerneltraffic.org/kernel-traffic/
 
 LWN.net:
 	Weekly summary of kernel development activity - http://lwn.net/
-	2.6 driver porting information:
+	2.6 API changes:
+		http://lwn.net/Articles/2.6-kernel-api/
+	Porting drivers from prior kernels to 2.6:
 		http://lwn.net/Articles/driver-porting/
 
 KernelTrap:
_
